%define real_name GoodWeather

Summary: GoodWeather sensor and display for gdesklets
Name: gdesklets-goodweather
Version: 0.4.1
Release: 1%{?dist}
License: GPL
Group: User Interface/Desktops
URL: http://gdesklets.gnomedesktop.org/
Source: http://gdesklets.gnomedesktop.org/files/GoodWeather.tar.gz
Source1: Makefile_install_scripts.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: noarch
BuildRequires: gdesklets >= 0.35
Requires: gdesklets, gnome-python2-gnomevfs

%description
GoodWeather (sensor/display) shows the current temperature, humidity,
sky, windchill temperature and a forecast of the next 4 days on your
desktop. The data is retrieved from Weather XML Data Feed project at
weather.com.

%prep
%setup -n %{real_name} -a 1

%build
%{__make} \
	PACKAGE_NAME="GoodWeather"

%install
%{__rm} -rf %{buildroot}
%makeinstall \
	PACKAGE_NAME="GoodWeather"

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc README
%{_bindir}/gdesklets-add-GoodWeather-display
%{_datadir}/gdesklets/Displays/GoodWeather/
%{_datadir}/gdesklets/Sensors/GoodWeather.display
%{_datadir}/gdesklets/Sensors/Install_GoodWeather_Sensor.bin
%{_datadir}/gdesklets/Sensors/gdesklets-add-GoodWeather-display
%{_datadir}/gdesklets/Sensors/gfx/*


%changelog
* Fri Apr 21 2006 Eddy Nigg <eddy_nigg@startcom.org>
- Build for StartCom Linux 5.0.x

